#!/bin/bash

set -e

ESDK=${EPIPHANY_HOME}
ELIBS=${ESDK}/tools/host/lib
EINCS=${ESDK}/tools/host/include
ELDF=${ESDK}/bsps/current/fast.ldf

# Build HOST side application
gcc host.c -o host.elf -I ${EINCS} -L ${ELIBS} -le-hal

# Build DEVICE side program
e-gcc -std=c99 -T ${ELDF} e_bcrypt.c -O2 -mfp-mode=int -o e_bcrypt.elf -le-lib

# Convert ebinary to SREC file
e-objcopy --srec-forceS3 --output-target srec e_bcrypt.elf e_bcrypt.srec
